Bug 1279192 - Error message doesn't appear when trying to create storage domain with path that already exists in the system
Error message doesn't appear when trying to create storage domain with path t...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Tal Nisan
Eyal Shenitzky
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 09:39 EST by Eyal Shenitzky
Modified: 2016-02-10 14:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:18:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
eshenitz: planning_ack?
tnisan: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48310 master MERGED webadmin: Add missing warning message in storage domain popup Never
oVirt gerrit 48351 ovirt-engine-3.6 MERGED webadmin: Add missing warning message in storage domain popup Never

  None (edit)
Description Eyal Shenitzky 2015-11-08 09:39:44 EST
Description of problem:

Error massage isn't appear when trying to create storage domain with path that already in the system  

Version-Release number of selected component (if applicable):
3.6.0.3-0.1.el6

How reproducible:
100%

Steps to Reproduce:
1.create storage domain 
2.create another storage domain with the same path

Actual results:
Error massage should appear

Expected results:
page refresh with no error massage

Additional info:
Comment 1 Eyal Shenitzky 2015-12-08 05:00:46 EST
 Verified with the following code:
------------------------------------------
vdsm-4.17.12-0.el7ev.noarch
rhevm-3.6.1.1-0.1.el6


------------------------------------------
Steps to reproduce:
------------------------------------------
1.create storage domain 
2.create another storage domain with the same path

Right Error massage received: "Create operation failed. Storage connection is already used by the following storage domain: "


Moving to VERIFIED!
Comment 2 Sandro Bonazzola 2015-12-16 07:18:40 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.